#ifndef _PAM_FINGERPRINT_UTIL_H_
#define _PAM_FINGERPRINT_UTIL_H_

#include <security/pam_appl.h>

#include <stdio.h>


#define FPRINT_PATH "/etc/fingerprint"

enum {
    FP_PAM_SUCCESS,
    FP_PAM_AUTH_ERR,
    FP_PAM_CONFILE_OPEN_ERR,
    FP_PAM_DEVICE_UNKNOW_ERR,
    FP_PAM_DEVICE_NOT_FOUND_ERR,
    FP_PAM_RELEASE_DEVICE_ERR,
    FP_PAM_DEVICE_OPEN_ERR,
    FP_PAM_NOT_VERIFY,
    FP_PAM_NO_FINGERPRINT
};

#define ENROLLED_THREAD_ALREADY_EXIST 1
#define NO_EMPTY_TEMPLATE_ERROR -1
#define GET_USER_TEMPLATE_ERROR -2
#define DEVICE_INIT_ERROR -3
#define DELETE_TEMPLATE_ERROR -4
#define GET_IMAGE_INFO_ERROR -5
#define TEMPLATE_SAVE_ERROR -6
#define NO_DEVICE_ERROR -7
#define GET_DEVICE_COUNT_ERROR -8
#define THREAD_CREATE_ERROR -9

FILE* open_propertie_file(char *propertie_file);
int read_propertie_int(FILE* fp, const char *key);
void close_propertie_file(FILE* fp);

#endif // _PAM_FINGERPRINT_UTIL_H_
